NXP75A(4)

NAME
nxp75a - NXP LM75A Digital temperature sensor and thermal watchdog

SYNOPSIS
nxp75a* at iic? addr?

DESCRIPTION
The nxp75a driver provides support for the NXP LM75A temperature sensor, with a temperature resolution of 0.125 degC and a single programable high limit. Both the temperature value and the limit are available through the envstat(8) interface.

Note, that although this chip is described as a "pin-for-pin replacement for industry standard LM75" it is not software compatible with it. The LM75 and similar chips are supported via the lmtemp(4) driver.

SEE ALSO
envsys(4), iic(4), intro(4), lmtemp(4), envstat(8)

HISTORY
The nxp75a driver first appeared in NetBSD 11.1.

AUTHORS
The nxp75a driver was written by Julian Coleman <jcoleman@netbsd.org>.